%define anolis_release 1
Name:          libmnl
Version:       1.0.5
Release:       %{anolis_release}%{?dist}
Summary:       A minimalistic Netlink library

License:       LGPLv2+
URL:           https://www.netfilter.org/pub/libmnl
Source0:       https://www.netfilter.org/pub/libmnl/%{name}-%{version}.tar.bz2

BuildRequires: gcc
BuildRequires: make
BuildRequires: doxygen

%description
libmnl is a minimalistic user-space library oriented to Netlink developers.
There are a lot of common tasks in parsing, validating, constructing of both
the Netlink header and TLVs that are repetitive and easy to get wrong.
This library aims to provide simple helpers that allows you to re-use code and
to avoid re-inventing the wheel.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name} = %{version}-%{release}

%package       static
Summary:       Static development files for %{name}
Requires: %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%description 	static
The %{name}-static package contains static libraries for devleoping applications that use %{name}.

%prep
%setup -q

%build
%configure --enable-static
%make_build

%install
%make_install
find examples '(' -name 'Makefile.am' -o -name 'Makefile.in' ')' -delete
find examples -type d -name '.deps' -prune -exec rm -rf {} ';'
mv examples examples-%{_arch}

%files
%license COPYING
%{_libdir}/*.so.*

%files doc
%doc README

%files devel
%doc examples-%{_arch}
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_mandir}/man3/*

%files static
%{_libdir}/*.a

%changelog
* Mon Jan 2 2023 Funda Wang <fundawang@yeah.net> - 1.0.5-1
- New version 1.0.5

* Sat Oct 08 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.0.4-2
- add doc package

* Thu Mar 10 2022 Mingyue Zhao <wb-zmy745940@alibaba-inc.com> - 1.0.4-1
- Init for Anolis OS 23
